Subject: bug#48841: fido-mode is slower than ido-mode with similar settings

From: João Távora <[email-masked]>
Date: Sun, 06 Jun 2021 07:59:02 +0100

Stefan Monnier <[email-masked]> writes:

>> Stefan knows best here.  Regardless of its use, it seems to require
>> another try-completion call in all the filtered candidates (which might
>> be very big) so that's probably where the extra lag comes from.
>
> IIRC the `try-completion` call is performed on the list of possible
> completions rather than on the original completion table, so it should
> be quite fast.  I'd be surprised if it is a significant portion of the
> overall time.

Very true, but here's the suprise: In the flex style, there are a _lot_
of "possible completions" for the null or very short patterns.  So those
calculations -- which were more than certainly thought up for prefix-ish
styles -- are quite slow (and also quite useless for flex).  At least
that's my theory.

João